Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.tools.maven
Class OpenJpaSchemaMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
              org.apache.openjpa.tools.maven.AbstractOpenJpaMappingToolMojo
                  org.apache.openjpa.tools.maven.OpenJpaSchemaMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class OpenJpaSchemaMojo

extends AbstractOpenJpaMappingToolMojo

Executes the schema generation via the OpenJPA MappingTool.

Since:
  1.0
Version:
  $Id$

Field Summary
`protected static String` | `OPTION_SCHEMA_ACTION` used for passing the schemaAction parameter to the mapping tool
`protected static String` | `OPTION_SCHEMA_FILE` used for passing the schemaFile parameter to the mapping tool
`protected String` | `schemaAction` The action to take on the schema.
`protected File` | `schemaFile` Use this option to write the planned schema to an XML document rather than modify the database.

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMappingToolMojo
`action, OPTION_ACTION`

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`classes, compileClasspathElements, OPTION_CONNECTION_DRIVER_NAME, OPTION_CONNECTION_PROPERTIES, OPTION_PROPERTIES, OPTION_PROPERTIES_FILE, project`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`OpenJpaSchemaMojo()`

Method Summary
`protected Options` | `getOptions()` Get the options for the various OpenJPA tools.

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMappingToolMojo
`execute`

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`createOptions, extendRealmClasspath, findEntityClassFiles, getClasspathElements, getEntityClasses, getFilePaths, skipMojo`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schemaAction

    protected String schemaAction

  The action to take on the schema. Actions can be composed in a comma-separated list of one of the following items:
  - add (see MappingTool#ACTION_ADD)
  - refresh (see MappingTool#ACTION_REFRESH)
  - drop (see MappingTool#ACTION_DROP)
  - buildSchema (see MappingTool#ACTION_BUILD_SCHEMA)
  - import (see MappingTool#ACTION_IMPORT)
  - export (see MappingTool#ACTION_EXPORT)
  - validate (see MappingTool#ACTION_VALIDATE)

### OPTION_SCHEMA_ACTION

    protected static final String OPTION_SCHEMA_ACTION

  used for passing the schemaAction parameter to the mapping tool

  See Also:
    Constant Field Values

### schemaFile

    protected File schemaFile

  Use this option to write the planned schema to an XML document rather than modify the database. The document can then be manipulated and committed to the database with the schema tool

### OPTION_SCHEMA_FILE

    protected static final String OPTION_SCHEMA_FILE

  used for passing the schemaFile parameter to the mapping tool

  See Also:
    Constant Field Values

Constructor Detail

### OpenJpaSchemaMojo

    public OpenJpaSchemaMojo()

Method Detail

### getOptions

    protected Options getOptions()

  Description copied from class: `AbstractOpenJpaMojo`
  Get the options for the various OpenJPA tools.

  Specified by:
    `getOptions` in class `AbstractOpenJpaMojo`
  Returns:
    Options filled with all necessary plugin parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.